Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues
Author Message
bugsy
Worker
Worker


Joined: May 08, 2007
Posts: 130

PostPosted: Wed Nov 12, 2008 4:59 am Reply with quote

Hi I run two sites

i) RN2.2 (Shortlinks, HTML News Letter, Nuke Seo, Nuke Feed, Legal Module, Content - addons)
ii) Nuke 7.6 Patched 3.3 (Shortlinks, HTML News Letter, Nuke Seo) which also has a PHPb forum

With my present hosting company I am running the following

MySQL: 4.x.x
Perl: 5.x.x
PHP: 4.x.x

and I am shifting to a new host and I have taken Plesk running on Linux as as the CP and it has come preloaded with the following

MySQL: 5.x.x
Perl-Apache-ASP 2.x
PHP: 5.x.x

I have managed to import the database from the old host and export it to the new host with out errors...and I can browse through the databases and looks all right to me...at least tables loading and all..

Now question is am I to encounter problems in this host migration considering the server specks are different?

I am yet to shift the scripts over to the new server and yet to point my domains too...so I can use some precautionary tips and advice meanwhile if anyone can suggest something...

Regards..


Last edited by bugsy on Sun Nov 16, 2008 9:01 am; edited 1 time in total 
View user's profile Send private message Visit poster's website
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Wed Nov 12, 2008 6:57 am Reply with quote

In theory you should not have a problem, well not by using a newer version of PHP and mySQL anyway.

We would always recommend a test run using XAMPP on you computer before installing on a live server.
 
View user's profile Send private message
bugsy
PostPosted: Wed Nov 12, 2008 7:18 am Reply with quote

Ya that can be done I think. I have also thought of migrating this way (I have stopped new signups and news posting for a day or two till shifting is done)...

a) I will connect the config file of old server to the new database in the new server and run it remotely for sometime the scripts being from old and database being in new (If its possible)
b) I will transfer my scripts to new server meanwhile with config pointing to new database
c) I will change nameservers (so now it can load from anyplace depending on from where visitor is coming..the databse being central scripts being hosted in two places)
d) See how it runs then if problem is encountered I will point name servers to old host and think what to do!

Installing Xaamp and trying it locally is surely needed...but nice to know theoretically it wont be a problem... as far as i remember the legal module had a php4/5 issue but that I guess can be solved by searching discussion on the same..rest modules I cant remember any issue
 
bugsy
PostPosted: Thu Nov 13, 2008 12:05 am Reply with quote

Hi,

While connecting remotely this RN2.2 site is running fine...
but
7.6 patched 3.3 is loading a page saying there is some problem with the MySQL server...any ideas?

Have checked config file details are ok..I think same problem will be faced in production environment also...and can try to take the RN2.2 live as remote is ok with it
 
bugsy
PostPosted: Thu Nov 13, 2008 4:11 am Reply with quote

The production site of RN2.2 has been shifted is running well but I can see its eating a good amount of RAM 50-60mb with minimal hits. The 7.6 migration has stopped as problem is foreseen I am yet to check the exact error code.

One more suggestion needed for two nuke sites and say two mambo sites getting decent hits what should be the memory consumption? I presently have 384 mb (vps) in my quota but half of it is already gone just running plesk and one nuke site with basic hits!
 
bugsy
PostPosted: Fri Nov 14, 2008 1:32 am Reply with quote

Hi I checked in Xaamp with PHP5 and MySQL 5 the 7.6 patched 3.3 is not loading there. I have also enquired with host that downgrading MySQL is not possible and also running two parallel versions of MySQL is not possible. So my best possible options are

a) Upgrade to a Nuke Version which is stable and secure but compatible with mysql 5
b) As the RN2.2 is running in MySQL 5 can try a migration to RN2.2 or 2.3 from Nuke7.6 patched 3.3..my last few attempts did not workout proper so I decided to stick with 7.6 patched 3.3 as its I guess considered the most secured among all PHPnuke releases!

Any suggestions?
 
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Fri Nov 14, 2008 8:32 am Reply with quote

I have no problem running with MySQL 5. What problems are you having exactly?

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
bugsy
PostPosted: Fri Nov 14, 2008 8:43 am Reply with quote

Hi..actually the problem with RN2.2 has got resolved now I am stuck with migrating to the new host with my old 7.6 site as it is not getting adapted to MySQL 5. Its not running either remotely connected live or in local xaamp - in Xaamp I have tried PHP4 but again it said there is some problem with MySQL Server. So it has to be the MySQL 5 that 7.6 patched 3.3 is creating problems about.

So somehow i need to make the 7.6 database MySQL 5 compatible
 
bugsy
PostPosted: Fri Nov 14, 2008 10:39 am Reply with quote

Hi evaders99..something funny is happening...in my xaamp I installed the the 7.6 patched 3.3 database and then just copied the RN2.2 files over to Xaamp pointing the RN2.2 config file to the 7.6 database ... thinking lets see if it loads or if I am taken to any upgrade page....amazingly the site came live..

with 7.6 patched 3.3 database and RN2.2 files! I went back and read the upgrading manual and looks like that is the way to upgrade it! I mean I already have same version Sentinel installed...so no need to upgrade that and that site is an archived site so the following modules

Resend Email Hack
NSN Groups
HTML Newsletter
GCalendar

are not required.

Now with 7.6 database and RN2.2 file I am being able to browse the site and login to admin in the Xaamp!

Is this a proper thing to happen without compromising any security?!!

If this is good to go then it solves my problem as the Xaamp is driven by MySQL 5 and PHP 5 only just like my production server!

Regards
 
evaders99
PostPosted: Fri Nov 14, 2008 7:46 pm Reply with quote

Given there are differences from the RavenNuke tables from 7.6, you should really make sure they are correct. Differences may cause further errors and features that do not work correctly.

In terms of security, you really should be at the latest RavenNuke version
 
bugsy
PostPosted: Sun Nov 16, 2008 8:57 am Reply with quote

Ya some features are not working..specially I tried to load two new modules but their activation links did not appear in the Mudules Management. But as a whole everything else is running fine including sentinel....and I have been able to migrate to new host and so far have not encountered any issue other than one I stated now..

I guess the best thing is after this makeshift upgrade from 7.6 to RN both sites have gone live in my new server with PHP 5 and MySQL 5 Smile ...and hoping I wont face any major issue regarding this..

Thank you all
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©